Manufacturers

PUT /manufacturers/{id}

Update a manufacturer. Requires manufacturers.update permission.

Path parameters

Name Type Required Description
id string yes The unique identifier of the record

Query parameters

Name Type Required Description
fields[] string[] no Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=name) One of: createdAt, description, id, name, supportEmail, supportPhone, updatedAt, website.
with[] string[] no Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: createdBy, updatedBy.

Request body

Required.

application/json

  • description string
  • name string ยท required
  • supportEmail string
  • supportPhone string
  • website string
{
    "description": "German engineering and technology company",
    "name": "Bosch",
    "supportEmail": "support@bosch.com",
    "supportPhone": "+49 711 400 40990",
    "website": "https://www.bosch.com"
}

Responses

Status Description
200 A json object describing the updated manufacturer
400 The request was rejected
403 The requesting user lacks appropriate permissions
422 Validation errors

Response 200 body

  • id string
  • createdAt string โ€” When the record was created (UTC)
  • createdBy object
  • description string
  • name string
  • supportEmail string
  • supportPhone string
  • updatedAt string โ€” When the record was last updated (UTC)
  • updatedBy object
  • website string
{
    "id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
    "createdAt": "2024-06-30T19:00:00Z",
    "createdBy": {
        "id": "019222d9-d87d-7724-bba6-ba91503ea311",
        "firstName": "John",
        "lastName": "Doe"
    },
    "description": "German engineering and technology company",
    "name": "Bosch",
    "supportEmail": "support@bosch.com",
    "supportPhone": "+49 711 400 40990",
    "updatedAt": "2024-06-30T19:00:00Z",
    "updatedBy": {
        "id": "019222d9-d87d-7724-bba6-ba91503ea311",
        "firstName": "John",
        "lastName": "Doe"
    },
    "website": "https://www.bosch.com"
}